import { AArrowDown, AArrowUp, ALargeSmall, Languages } from 'lucide-react';

import Container from '@/components/ui/container';
import {
  Select,
  SelectContent,
  SelectGroup,
  SelectItem,
  SelectTrigger,
  SelectValue,
} from '@/components/ui/select';
import { Label } from '@/components/ui/label';
import { Switch } from '@/components/ui/switch';
import { Button } from '@/components/ui/button';

export default function Accessibility() {
  return (
    <div className='bg-yellow-100 border-b border-zinc-30'>
      <Container className='py-4  justify-between hidden md:flex'>
        <div className='flex items-center gap-x-2'>
          <Languages />
          <Select defaultValue='english'>
            <SelectTrigger className='w-[180px] font-medium border-muted-foreground'>
              <SelectValue />
            </SelectTrigger>
            <SelectContent className='font-medium'>
              <SelectGroup>
                <SelectItem value='english'>English</SelectItem>
                <SelectItem value='french'>French</SelectItem>
                <SelectItem value='german'>German</SelectItem>
                <SelectItem value='arabic'>Arabic</SelectItem>
                <SelectItem value='spanish'>Spanish</SelectItem>
              </SelectGroup>
            </SelectContent>
          </Select>
        </div>

        <div className='flex items-center space-x-2'>
          <Switch id='high-contrast-mode' />
          <Label htmlFor='high-contrast-mode' className='font-medium'>
            High Contrast
          </Label>
        </div>

        <div className='flex gap-x-2'>
          <Button
            variant='outline'
            size='icon'
            className='border-muted-foreground'
          >
            <AArrowDown />
          </Button>
          <Button
            variant='outline'
            size='icon'
            className='border-muted-foreground'
          >
            <ALargeSmall />
          </Button>
          <Button
            variant='outline'
            size='icon'
            className='border-muted-foreground'
          >
            <AArrowUp />
          </Button>
        </div>
      </Container>
    </div>
  );
}
